import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsManagerrole {
  [PrimaryKeyProp]?: ['Id', 'ManagerId', 'RoleId'];
  Id!: bigint;
  ManagerId!: bigint;
  RoleId!: bigint;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsManagerroleSchema = defineEntity({
  class: ScsManagerrole,
  comment: '管理角色表',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).comment('主键Id'),
    ManagerId: p.bigint().primary().name('ManagerId').unsigned(false).comment('管理员id'),
    RoleId: p.bigint().primary().name('RoleId').unsigned(false).comment('角色id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
